All users starting with iPhone 6 thru current models should “patch now” for a critical security vulnerability based on following alert 

Apple urges security upgrade to iPhones, iPads (apnews.com)

Apple is urging iPhone and iPad users to update their devices to fix security flaws that might have been “actively exploited” by hackers.  Apple made the software upgrades available Tuesday, adding a rare note suggesting it was a serious threat.  The company said one of the vulnerabilities affects the “kernel,” the nerve center of Apple’s operating system, iOS. Two others affect WebKit, the web browser engine used by Safari and other apps.  Impacts several generations of devices, starting with the iPhone 6.